Subject: Re: [PATCH] difftool: silence warning

From: Ross Lagerwall <[email-masked]>
Date: Tue, 21 Aug 2012 11:42:14 +0200

On 08/21/2012 11:04 AM, David Aguilar wrote:
> This patch is obviously correct, but it won't apply in git's "next" branch.
> Can you please prepare a patch based on the version in next?
> 
Sure.

> 
> A small question on Perl style for the list... is it better say this?
> 
>    exit(0) unless $diffrtn;
> 
> or is it better to explicitly check for undef using defined($diffrtn)
> like was done in this patch? I would assume that explicit is preferred.
> 

It seems like defined() is used throughout git-difftool so I just used that.

Regards
-- 
Ross Lagerwall